
Redmine - Defect #9737

Custom values deleted before issue submit

2011-12-06 17:53 - Damián Farina

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 1.2.3   

Resolution: Fixed Affected version: 1.1.1

Description

Working on a custom implementation of RedMine, we found that if the user tries to change the tracker of a issue but do not save the

modifications after all, custom values that belongs to the old tracker, but not to the new one, are removed. No history neither.

How to reproduce it:

1. create tracker 1 with custom field A

2. create tracker 2 with custom field B

3. create an issue with tracker 1, assign a value to custom field A

4. edit the issue

5. change tracker to tracker 2

6. DO NOT SAVE and refresh the page

custom field A is empty

The attached patch worked for us, it needs some testing though

I'm testing in redmine-1.1.1 but the code looks the same in newer versions

Associated revisions

Revision 8103 - 2011-12-06 23:20 - Jean-Philippe Lang

Fixed that custom values get saved when assigning custom values after changing to a tracker with different custom fields (#9737).

Revision 8114 - 2011-12-07 22:47 - Jean-Philippe Lang

Merged r8103 from trunk (#9737).

Revision 8157 - 2011-12-10 12:56 - Jean-Philippe Lang

Merged r8103 from trunk (#9737).

History

#1 - 2011-12-06 21:59 - Jean-Philippe Lang

- Category set to Custom fields

- Status changed from New to Confirmed

- Assignee set to Jean-Philippe Lang

#2 - 2011-12-06 23:22 - Jean-Philippe Lang

- Status changed from Confirmed to Resolved

- Target version set to 1.3.0

Good catch, this should be fixed in r8103.

#3 - 2011-12-07 08:56 - Etienne Massip

Why not 1.2?

#4 - 2011-12-07 22:47 - Jean-Philippe Lang

- Target version changed from 1.3.0 to 1.2.3
I didn't want to take any risk with 1.2-stable but yes, this should be merged.

#5 - 2011-12-09 12:42 - Bruno Medeiros

People, is it merged on 1.3-stable?

#6 - 2011-12-09 12:45 - Bruno Medeiros

Oh, sorry for the question..  r8114 merges on 1.3-stable, and the ticket is not closed because it is nor merged on 1.2 yet.

#7 - 2011-12-10 12:56 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Fixed

Merged in 1.2-stable.
